Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Class PDFGraphicsPainter

    java.lang.Object
      org.apache.fop.render.pdf.PDFGraphicsPainter

All Implemented Interfaces:
  BezierCurvePainter, GraphicsPainter

    public class PDFGraphicsPainter

extends java.lang.Object
implements GraphicsPainter, BezierCurvePainter

PDF-specific implementation of the `GraphicsPainter`.

Constructor Summary
`PDFGraphicsPainter(PDFContentGenerator generator)`

Method Summary
`void` | `arcTo(double startAngle, double endAngle, int cx, int cy, int width, int height)` Draws an arc on the ellipse centered at (cx, cy) with width width and height height from start angle startAngle (with respect to the x-axis counter-clockwise) to the end angle endAngle.
`void` | `clip()` Reduces the current clipping region to the current path.
`void` | `closePath()` Closes the current path.
`void` | `cubicBezierTo(int p1x, int p1y, int p2x, int p2y, int p3x, int p3y)` Draw a cubic bezier from current position to (p3x, p3y) using the control points (p1x, p1y) and (p2x, p2y)
`void` | `drawBorderLine(int x1, int y1, int x2, int y2, boolean horz, boolean startOrBefore, int style, java.awt.Color col)` Draws a border line.
`void` | `drawLine(java.awt.Point start, java.awt.Point end, int width, java.awt.Color color, RuleStyle style)` Draws a line/rule.
`void` | `lineTo(int x, int y)` Draws a line from the current cursor position to the given coordinates.
`void` | `moveTo(int x, int y)` Moves the cursor to the given coordinate.
`void` | `restoreGraphicsState()` Restore the last graphics state from the stack.
`void` | `rotateCoordinates(double angle)` Rotate the coordinate frame
`void` | `saveGraphicsState()` Save the graphics state on the stack.
`void` | `scaleCoordinates(float xScale, float yScale)` Scale the coordinate frame
`void` | `translateCoordinates(int xTranslate, int yTranslate)` Translate the coordinate frame

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFGraphicsPainter

    public PDFGraphicsPainter(PDFContentGenerator generator)

Method Detail

### drawBorderLine

    public void drawBorderLine(int x1,
                               int y1,
                               int x2,
                               int y2,
                               boolean horz,
                               boolean startOrBefore,
                               int style,
                               java.awt.Color col)

  Draws a border line.

  Specified by:
    `drawBorderLine` in interface `GraphicsPainter`
  Parameters:
    `x1` - X coordinate of the upper left corner of the line's bounding rectangle (in millipoints)
    `y1` - start Y coordinate of the upper left corner of the line's bounding rectangle (in millipoints)
    `x2` - end X coordinate of the lower right corner of the line's bounding rectangle (in millipoints)
    `y2` - end y coordinate of the lower right corner of the line's bounding rectangle (in millipoints)
    `horz` - true if it is a horizontal line
    `startOrBefore` - true if the line is the start or end edge of a border box
    `style` - the border style
    `col` - the border color

### drawLine

    public void drawLine(java.awt.Point start,
                         java.awt.Point end,
                         int width,
                         java.awt.Color color,
                         RuleStyle style)

  Draws a line/rule.

  Specified by:
    `drawLine` in interface `GraphicsPainter`
  Parameters:
    `start` - start point (coordinates in millipoints)
    `end` - end point (coordinates in millipoints)
    `width` - width of the line
    `color` - the line color
    `style` - the rule style

### moveTo

    public void moveTo(int x,
                       int y)

  Moves the cursor to the given coordinate.

  Specified by:
    `moveTo` in interface `GraphicsPainter`
  Parameters:
    `x` - the X coordinate (in millipoints)
    `y` - the Y coordinate (in millipoints)

### lineTo

    public void lineTo(int x,
                       int y)

  Draws a line from the current cursor position to the given coordinates.

  Specified by:
    `lineTo` in interface `GraphicsPainter`
  Parameters:
    `x` - the X coordinate (in millipoints)
    `y` - the Y coordinate (in millipoints)

### arcTo

    public void arcTo(double startAngle,
                      double endAngle,
                      int cx,
                      int cy,
                      int width,
                      int height)
               throws java.io.IOException

  Draws an arc on the ellipse centered at (cx, cy) with width width and height height from start angle startAngle (with respect to the x-axis counter-clockwise) to the end angle endAngle. The ellipses major axis are assumed to coincide with the coordinate axis. The current position MUST coincide with the starting position on the ellipse.

  Specified by:
    `arcTo` in interface `GraphicsPainter`
  Parameters:
    `startAngle` - the start angle
    `endAngle` - the end angle
    `cx` - the x coordinate of the ellipse center
    `cy` - the y coordinate of the ellipse center
    `width` - the extent of the ellipse in the x direction
    `height` - the extent of the ellipse in the y direction
  Throws:
    `java.io.IOException` - if an I/O error occurs

### closePath

    public void closePath()

  Closes the current path.

  Specified by:
    `closePath` in interface `GraphicsPainter`

### clip

    public void clip()

  Reduces the current clipping region to the current path.

  Specified by:
    `clip` in interface `GraphicsPainter`

### saveGraphicsState

    public void saveGraphicsState()

  Save the graphics state on the stack.

  Specified by:
    `saveGraphicsState` in interface `GraphicsPainter`

### restoreGraphicsState

    public void restoreGraphicsState()

  Restore the last graphics state from the stack.

  Specified by:
    `restoreGraphicsState` in interface `GraphicsPainter`

### rotateCoordinates

    public void rotateCoordinates(double angle)
                           throws java.io.IOException

  Rotate the coordinate frame

  Specified by:
    `rotateCoordinates` in interface `GraphicsPainter`
  Parameters:
    `angle` - angle in radians to rotate the coordinate frame
  Throws:
    `java.io.IOException` - if an I/O error occurs

### translateCoordinates

    public void translateCoordinates(int xTranslate,
                                     int yTranslate)
                              throws java.io.IOException

  Translate the coordinate frame

  Specified by:
    `translateCoordinates` in interface `GraphicsPainter`
  Parameters:
    `xTranslate` - translation in the x direction
    `yTranslate` - translation in the y direction
  Throws:
    `java.io.IOException` - if an I/O error occurs

### scaleCoordinates

    public void scaleCoordinates(float xScale,
                                 float yScale)
                          throws java.io.IOException

  Scale the coordinate frame

  Specified by:
    `scaleCoordinates` in interface `GraphicsPainter`
  Parameters:
    `xScale` - scale factor in the x direction
    `yScale` - scale factor in the y direction
  Throws:
    `java.io.IOException` - if an I/O error occurs

### cubicBezierTo

    public void cubicBezierTo(int p1x,
                              int p1y,
                              int p2x,
                              int p2y,
                              int p3x,
                              int p3y)

  Draw a cubic bezier from current position to (p3x, p3y) using the control points (p1x, p1y) and (p2x, p2y)

  Specified by:
    `cubicBezierTo` in interface `BezierCurvePainter`
  Parameters:
    `p1x` - x coordinate of the first control point
    `p1y` - y coordinate of the first control point
    `p2x` - x coordinate of the second control point
    `p2y` - y coordinate of the second control point
    `p3x` - x coordinate of the end point
    `p3y` - y coordinate of the end point

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.